Subject: Re: [RFC PATCH 0/5] Introduce -t, --table for status/add commands

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Oct 2023 16:28:19 -0700

Dragan Simic <[email-masked]> writes:

> Please don't get me wrong, I understand your reasoning, but again, it
> all comes down to the two categories described above.  IMHO, the
> second category will likely start turning off the default hints sooner
> than turning the table formatting on.  The first category will choose
> some GUI anyway.

You are not alone in feeling the impedance mismatch between the
intended audience the patch(es) try to help (pointy-clicky GUI
users) and the codebase the patch(es) modify (perhaps spartan
command line interface).  I did wonder why this is not made as a
part of sugarcoating the command line interface with some GUI that
shows what could be added, what has been added, and the stuff in its
"git status" equivalent.